body {
      margin: 0;
      padding: 0;
	  font-size: 1.2em;
	  background-repeat: repeat;

    }

h1{
	font-family: dos;
}
	
.container {
  border: 1px solid #ff00ff;  /* The border around your container */
  border-radius: .2em;      /* Rounded corners (optional) */
  padding: 1.5em;            /* Space inside the box */
  margin: .05em auto;        /* Space outside the box, centered horizontally */
  max-width: 50em;      /* Maximum width of the container */
  width: 99%; 
  background-color: #000000; /* Optional background color */
  box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Optional subtle shadow */
  box-sizing: border-box; /* makes padding & border count inside width */
  
    /* Keep content inside */
  overflow-wrap: normal;   /* breaks long words if needed */
  word-wrap: break-word;       /* older support for breaking words */
  word-break: keep-all;      /* breaks words on very long strings */
}

.container_top {
  border: 1px solid #ff00ff;  /* The border around your container */
  border-radius: .2em;
  padding: 0em;            /* Space inside the box */
  margin: 0em auto;        /* Space outside the box, centered horizontally */
  max-width: 50em;      /* Maximum width of the container */
  width: 99%; 
  background-color: #000000; /* Optional background color */
  box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Optional subtle shadow */
  box-sizing: border-box; /* makes padding & border count inside width */
  
    /* Keep content inside */
  overflow-wrap: break-word;   /* breaks long words if needed */
  word-wrap: break-word;       /* older support for breaking words */
  word-break: break-word;      /* breaks words on very long strings */
}

.container_left {
  padding: 1.5em;            /* Space inside the box */
  margin: .05em;        /* Space outside the box, centered horizontally */
  max-width: 50em;      /* Maximum width of the container */
  width: 90%;
  min-height: 33em;
  background-color: #ffffff; /* Optional background color */
  box-sizing: border-box; /* makes padding & border count inside width */
  
    /* Keep content inside */
  overflow-wrap: normal;   /* breaks long words if needed */
  word-wrap: break-word;       /* older support for breaking words */
  word-break: keep-all;      /* breaks words on very long strings */
}

a{
  color: #FF00FF; /* All links will be blue */
	}
	
a:visited{
  color: #F; /* All links will be blue */
	}

a:hover{
  color: #FFFFFF; /* All links will be blue */
	}
.hacker-text{
	font-family: dos;
	color: #ff00ff
		
}	

a.medialink{
	color: #FFA000;
}

a.medialink:hover{
	color: #FFFFFF;
}
.avatar{
	width: 25px;
	margin-right: 3px;
}

hr{
	color: #ff00ff;
}

.red{
	color: #FF0000
}

.orange{
	color: #FFA500
}

.pink{
	color: #FF00FF;
}
	
.fix_stroke {
   paint-order: stroke fill;
	}
	
.align_right{
		text-align: right;
	}
	
.align_left{
		text-align: left;
	}
	
.align_center{
		text-align: center;
	}
	
.bride {
		color: blue;
	}
	
.listfont{
		font-size: 1.0em
		
	}
	
.no-wrap {

    display: inline-block;
 
	}

.wrapped-image {
		float: left;           /* pushes image to the left, lets text flow around it */
		margin: 0 5px 0px 0; /* space around image so text isn’t flush against it */
	}

.wrapped-text {
		float: left;           /* pushes image to the left, lets text flow around it */
		margin: -15px -18px 0px 0; /* space around image so text isn’t flush against it */
		width: 80px; 		/* optional: set size */
		height: 60px;
	}

	
.wrapped-text2 {
		float: left;           /* pushes image to the left, lets text flow around it */
		margin: -10px -40px 0px 0; /* space around image so text isn’t flush against it */
		width: 80px;          /* optional: set size */
		height: 40px;
	}
	
.wrapped-textB {
		float: left;           /* pushes image to the left, lets text flow around it */
		margin: -15px -30px 0px 0; /* space around image so text isn’t flush against it */
		width: 80px;          /* optional: set size */
		height: 45px;
	}
	
.invisible-anchor {
		color: transparent;            /* hide text visually */
		text-decoration: none;
		background: transparent;
		outline: none;
		/* ensure it still takes up space if you want */
	}
	
.indent{
	 text-indent: 40px;
}

.line-breaks {
  white-space: pre-line; /* preserves line breaks from the HTML source */
}

.redacted {
  display: inline-block;
  width: 5.5em;       /* acts like ~6 characters wide */
  height: 1.1em;
  background: black;
  vertical-align: middle;
}

.heaven {
    background: linear-gradient(to right, #ffffff, #6666ff, #0099ff , #FFF300, #ff3399, #6666ff, #ffffff);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: rainbow_animation 6s linear infinite;
    background-size: 400% 100%;
}

.feed-container {
  width: 200px;        /* or whatever width you want */
  height: ;       /* this creates the "window" */
  border-radius: 10px;
}

.image-container {
  width: auto;        /* or whatever width you want */
  height: 30em;       /* this creates the "window" */
  overflow-y: scroll;  /* enables vertical scrolling */
  overflow-x: hidden;  /* prevents sideways scroll */
  border: 3px solid #111; /* optional */
  border-radius: 10px;
  background-color: black;
}

.image-container img {
  width: 450px;        /* or whatever width you want */
}


.image-container-x {
  width: 100%;        /* or whatever width you want */
  height: 30%;       /* this creates the "window" */
  overflow-y: hidden;  /* enables vertical scrolling */
  overflow-x: auto;  /* prevents sideways scroll */
  border: 3px solid #111; /* optional */
  border-radius: 10px;
}

.image-container-x img {
  display: inline-block;
  height: auto;
}

.container-media {
  border: .5em solid #333;  /* The border around your container */
  border-radius: .2em;      /* Rounded corners (optional) */
  padding: 1.5em;            /* Space inside the box */
  margin: .05em auto;        /* Space outside the box, centered horizontally */
  max-width: 50em;      /* Maximum width of the container */
  width: auto; 
  max-height: 35em;
  box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Optional subtle shadow */
  box-sizing: border-box; /* makes padding & border count inside width */
  overflow-y: auto;
  
    /* Keep content inside */
  overflow-wrap: normal;   /* breaks long words if needed */
  word-wrap: break-word;       /* older support for breaking words */
  word-break: keep-all;      /* breaks words on very long strings */
}
  
@media (max-width: 768px) {
  .image-container-x img {
    height: 40vh;   /* fills most of screen height */
    width: auto;    /* keeps aspect ratio */
  }
}

@media (max-width: 768px) {
  .image-container img {
    height: 200em;   /* fills most of screen height */
    width: auto;    /* keeps aspect ratio */
  }
}

	
	/* fonts */
	/* fonts */
	@font-face {
	   font-family: EB;
	   src: url(../fonts/EBGaramond-VariableFont_wght.ttf);
}
	@font-face {
		font-family: EB;
		src: url(../fonts/EBGaramond-Bold.ttf);
		font-weight: bold;
}
	@font-face {
	   font-family: dos;
	   src: url(../fonts/ModernDOS9x16.ttf);
}

@keyframes rainbow_animation {
    0%,100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}
